Skip to main content
POST
Create an Equipment for a Company

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

company-id
string
required

Company ID

Body

application/json
name
string
required
equipment_type_id
string<uuid>
required
license_number
string | null
external_id
string | null
ownership
enum<string>
default:internal
Available options:
internal,
external
Example:

"internal"

state
enum<string>
default:active
Available options:
active,
inactive
Example:

"active"

zone
string | null
accounting_id
string | null
home_base_id
string<uuid> | null
label_ids
string<uuid>[]

Array of Label IDs to assign to this equipment.

Response

Created

data
Equipment-Read · object
required